SOCK_REGISTER(9)

NAME
sock_register - add a socket protocol handler

SYNOPSIS

int sock_register(const struct net_proto_family * ops);

ARGUMENTS

ops
    description of protocol

DESCRIPTION

This function is called by a protocol handler that wants to advertise its address family, and have it linked into the socket interface. The value ops->family corresponds to the socket system call protocol family.

COPYRIGHT